Autor Tema: UNPA_Consulta sobre version 3.0.2  (Leído 73 veces)

0 Usuarios y 1 Visitante están viendo este tema.

pvidal

  • Full Member
  • ***
  • Mensajes: 146
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
UNPA_Consulta sobre version 3.0.2
« : febrero 23, 2017, 01:11:40 pm »
Buenos dias,

Les queriamos consultar porque es posible que los iconos de menu de lista de operaciones mas usadas, menú dinámico desde el raiz y ultimas operaciones ejecutadas, se visualicen como en el archivo adjunto.
Otra cosa que nos sucede es que cuando pinchamos una opción del módulo Configuración por ejemplo, una vez desplegada desaparece el signo "-" para poder contraerla nuevamente.
Todas las librerias se encuentran instaladas.
La versión de mozilla es 43.0,
debian 7.11
php 5.4
apache2.2
postgres9.1

Adjunto pantalla

Gracias

Paola
UNPA

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 32
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #1 : febrero 24, 2017, 12:44:45 pm »
Hola Paola,

El problema que tienen y por eso se les ve mal las imágenes es que seguramente no agregaron el link simbólico de la libreria XLIB dentro de apache. O bien no han reiniciado el servidor luego de la instalación.
En que versión se encuentran actualmente y desde que versión actualizaron?

Saludos
Poli

pvidal

  • Full Member
  • ***
  • Mensajes: 146
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #2 : marzo 01, 2017, 10:42:45 am »
Buen dia,
Estabamos en la version 2.2.2 y actualizamos a la version 3.0.2. Esa libreria que mencionas no la tenemos instalada efectivamente. Solo instalamos las librerias que se requerian en el readme.txt. Busco en debian 8 xlib pero no existe ese paquete. Podras indicarme de donde obtenerlo para intalarla?


Gracias

Saludos
Paola
UNPA
« Última Modificación: marzo 01, 2017, 10:45:19 am por pvidal »

pvidal

  • Full Member
  • ***
  • Mensajes: 146
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #3 : marzo 03, 2017, 08:45:45 am »
Buen dia, dado a que tenemos la intención de actualizar el sistema en real en estos dias les consulto si pudieron ver algo respecto a la consulta que les hicimos. Les recuerdo que estabamos en la version 2.2.2 y actualizamos a la version 3.0.2.
La libreria xlib no la tenemos instalada efectivamente. Busco en debian 8 xlib pero no existe ese paquete. Podran indicarme de donde obtenerlo para instalarla?


Gracias

Saludos
Paola
UNPA

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 32
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #4 : marzo 10, 2017, 08:46:10 am »
Hola Paola,
La librería XLIB no es una librería de php sino que viene dentro de mapuche y luego de finalizada la instalación el sistema muestra por pantalla 2 comandos que se deben ejecutar por consola para que los iconos se visualizan de forma correcta. Esta librería se encuentra dentro de  {path_mapuche}/mapuche/aplicacion/php/modelos/negocio ahí deberían tener una carpeta llamada xlib. Después deberían fijarse dentro del archivo toba.conf que se encuentra en {path_mapuche}/mapuche/instalacion si tienen al final del archivo 2 lineas similares a estas:
Código: [Seleccionar]
RewriteRule ^xlib/(.*)$ /614232045/xlib/1.0/src/img/$1 [R]
RewriteRule ^img/xlib/(.*)$ /614232045/xlib/1.0/src/img/$1 [R]

El numero 614232045 podría llegar a ser otro distinto. Si se encuentra la carpeta XLIB y estas 2 ultimas lineas lo que les falto es agregar el enlace simbólico de xlib dentro de apache.
Esto lo hacen con el siguiente comando:

Código: [Seleccionar]
Agregan la librería

ln -s  {PATH_MAPUCHE}/mapuche/aplicacion/php/modelos/negocio/xlib/xlib_alias.conf /etc/apache2/sites-enabled/mapuche_xlib.conf

Luego reinician apache

/etc/init.d/apache2 reload


En el caso que una de las 2 condiciones no se cumpla (no este la carpeta XLIB o no estén las lineas en el toba.conf es que algo fallo.
Soluciones:
  • Si no esta La carpeta XLIB, lo que deben hacer es editar el archivo toba.conf y eliminar esas 2 lineas (previo backup del archivo) y luego reiniciar apache
  • Si lo que no se encuentran son las 2 lineas dentro del archivo toba.conf, lo que deben hacer es actualizar el mapuche con el mismo instalador
  • Si lo que no se encuentran si no se encuentran ninguna de las 2 cosas, lo que deben hacer es actualizar el mapuche con el mismo instalador

Estas son las posibles alternativas y posibles soluciones, ya que no se en que estado quedo la base ni la instalación de mapuche. Si con estas soluciones no te llega a funcionar enviame información del modulo mapuche:
  • en que versión están
  • en que versión esta la base
  • les fallo en algún momento la actualización?

Saludos
Poli

pvidal

  • Full Member
  • ***
  • Mensajes: 146
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #5 : marzo 10, 2017, 12:21:10 pm »
Hola Poli! efectivamente lo que faltaba era el enlace simbolico de xlib dentro del apache, y te comento porque sucedio esto: yo reporte un problema respecto a la actualización del sistema desde la version 2.2.2 a la 3.0.2 en el GDS, ticket Solicitud número 25035: UNPA_ACTUALIZACION V2.2.2 A V3.0.2., explicando que nunca finaliza la actualización. Se queda en el paso 4 de migración durante horas y no finaliza. En pantalla visualizamos un avance del 60%.

Por otro lado haciendo un tail -f 7.instalador.log, observamos el siguiente detalle:

[DEBUG] Cambio: 5123, Agregar campo de vigencia de Deducciones Acumuladas en dh38
[DEBUG] Cambio: 5136, Agregar campos en dh41
[DEBUG] Cambio: 5206, Habilitar item de consola del Paralelizador
[DEBUG] Cambio: 5184, Habilitar item de la nueva pantalla de Proceso Liquidaci�n
[DEBUG] Cambio: 5217, Agregado de tipo de movimiento de Cuenta Corriente: Saldo Vencido LAO
[DEBUG] Cambio: 5229, Agregar campo de vigencia en Escalas de al�cuotas en dh39
[DEBUG] Cambio: 5263, Nuevos Tipos de Grupos para 4ta. (77,78,79)
[DEBUG] Cambio: 1221, Se actualizan las funciones de la base de datos
[DEBUG] Conversor - post_conversion: se actualizo la version de rrhhini a 3.0
[DEBUG] Cambio: 1602, Incorporaci�n del soporte para logs de la base de datos

Y hacienda un tail tail -f /var/log/apache2/error.log
Observamos lo siguiente en el log:

PHP Strict Standards: Non-static method toba::logger() should not be called statically in /var/hacienda/mapuche/toba/php/nucleo/lib/toba_proyecto_db.php on line 295, referer: http://192.168.25.198/i_mapuche_3.0.2/index.php?accion=actualizar&paso=4

Por otro lado les comento que en los php.ini tanto de apache2 como del cli, los 2 parametros de error_reporting que se encuentran en cada archivo php.ini, tienen el valor error_reporting = E_ALL & ~E_NOTICE & ~E_STRICT.

Finalmente si ingresamos al sistema, vemos que está actualizado a la versión 3.0.2. El problema es que no sabemos en que condiciones quedo la base y el sistema, si se finalizó bien la actualización o no. Que podemos hacer para solucionar esto?"[/b]

A lo que me respondieron que si la base tenia la versión 3.0 me quedara tranquila que se habia actualizado correctamente, que seguramente fue un problema con el navegador. Y efectivamente cuando operabamos funcionaba todo bien, y no notamos perdida de datos. Lo unico extraño era lo que te reporte de los iconos y los menues.


Entonces mi consulta es, aparte de correr estos comandos para que los iconos e imagenes se visualicen correctamente hay algo mas que correr?? Porque no se porque motivo nunca terminamos de visualizar el fin de la actualización, puede estar horas y no finaliza.

Desde ya muchisimas gracias!

Saludos
Paola
UNPA

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 32
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #6 : marzo 20, 2017, 02:34:47 pm »
Hola Paola,

Efectivamente como te respondió Nico en el GDS, si la base esta en 3.0 es que el sistema se actualizo bien. El instalador trabaja con transacciones y si hay un problema en el medio de la instalación la base no se actualiza y vuelve al estado original. Es por eso que podemos asegurarte que la base quedo bien actualizada.

Al quedar la pantalla en blanco por algún motivo solo falto que se visualice la pantalla donde decía que tenias que agregar el link simbólico de la Liberia xlib. Te podes quedar tranquila que el sistema se actualizo bien.

Con respecto al error

Código: [Seleccionar]
PHP Strict Standards: Non-static method toba::logger() should not be called statically in /var/hacienda/mapuche/toba/php/nucleo/lib/toba_proyecto_db.php on line 295, referer: http://192.168.25.198/i_mapuche_3.0.2/index.php?accion=actualizar&paso=4
Viene debido a como maneja toba los métodos y que en la versión de php, si bien los permite, ya no se manejan mas de esa forma. No es un error sino que es una advertencia, estos tipos de advertencias ya no deberían salir cuando cambiemos de versión de toba.

Saludos
Poli

pvidal

  • Full Member
  • ***
  • Mensajes: 146
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
Re:UNPA_Consulta sobre version 3.0.2
« Respuesta #7 : marzo 21, 2017, 07:29:59 am »
Ok. Muchas gracias!

Saludos
Paola
UNPA

 

Comunidad SIU